/* foXman
 * Copyright (C) 2000-2001 Josua Groeger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "FDAppMainWindow.h"
#include <iostream.h>

int main (int argc, char *argv[])
{  
  // Parse command options
  short section= 0;
  FXString manual;
  FXbool help= false;
  if (argc>2)
  {
    section= (!strcmp (argv[1], "-a") || !strcmp (argv[1], "--all"))? 10: atoi (argv[1]);
    manual= argv[2];
  }
  else if (argc==2)
    if (!strcmp (argv[1], "-h") || !strcmp (argv[1], "--help")) help= true; else manual= argv[1];
  
  // Show help message
  if (help) cout<< "foXman "<< VERSION<< " - foXdesktop man page viewer\n"
                << "(C) 2000-2001 Josua Groeger <fractalus@gmx.net>\n\n"
                << "Usage:\nfoXman\t\t\tStart foXman.\n"
                << "foXman [n|-a] manpage\tShow manpage in section n or all matching manpages.\n"
                << "foXman [-h|--help]\tShow this message.\n";
  else // Start the GUI
  {
    FDApp *app= new FDApp ("foXman", "foXdesktop");
    app->init (argc, argv);
  
    FDAppMainWindow *mainWindow= new FDAppMainWindow (app, "foXman", section, (char*) manual.text (),
                                                      app->ico().insert ("foXman.xpm"),
                                                      app->ico().insert ("mini/foXman.xpm"),
                                                      DECOR_ALL, 0, 0, 775, 525);
  
    app->create ();
    mainWindow->show ();
    app->run ();
  }
  
  return 0;
}
